#!/usr/bin/python3

import xml.dom.minidom

doc = xml.dom.minidom.Document()
root = doc.createElement('root')
doc.appendChild(root)

node = doc.createElement('node')
node.setAttribute("attribute","value")
root.appendChild(node)

child = doc.createElement("child")
node.appendChild(child)
txt = doc.createTextNode('text')
child.appendChild(txt)

sibling = doc.createElement("sibling")
node.appendChild(sibling)

print(doc.toxml())
#print(doc.toprettyxml(indent='   '))
